<template>
  <div>
    <div class="square moved-in point-to-top-left"></div>
    <div class="square moved-out point-to-top-right"></div>
    <div class="square unchanged"></div>
    <div class="square added point-to-bottom-left"></div>
    <div class="square removed"></div>
  </div>
</template>

<script setup lang="ts"></script>

<style scoped>
.square {
  width: 2rem;
  height: 2rem;
  border-radius: 1rem;
}

.moved-in {
  width: 1rem;
  height: 1rem;
  border: solid 0.5rem #000000;
  background: red;
}

.moved-out {
  width: 1rem;
  height: 1rem;
  border: solid 0.5rem red;
  background: #000000;
}

.unchanged {
  width: 1rem;
  height: 1rem;
  border: solid 0.5rem #666666;
  background: red;
}

.added {
  width: 1rem;
  height: 1rem;
  border: solid 0.5rem #cc0033;
  background: #ffbb00;
  border-radius: 0.5rem;
}

.removed {
  width: 1rem;
  height: 1rem;
  border: solid 0.5rem #ffbb00;
  background: #cc0033;
}

.point-to-top-left {
  border-top-left-radius: 0;
}

.point-to-top-right {
  border-top-right-radius: 0;
}

.point-to-bottom-left {
  border-bottom-left-radius: 0;
}

.point-to-bottom-right {
  border-bottom-right-radius: 0;
}
</style>
